var AppDispatcher = require('../dispatcher/appDispatcher');
var SearchContants = require('../constants/searchConstants');

// Define action methods
var SearchActions = {
    searchBoxChange: function(q) {
        AppDispatcher.handleAction({
            actionType: SearchContants.SEARCH_BOX_CHANGE,
            q : q
        });
    },
    getSearchResults: function(q) {
        AppDispatcher.handleAction({
            actionType: SearchContants.GET_SEARCH_RESULTS,
            q : q
        });
    }
};

module.exports = SearchActions;
